## itest-cases-gbs 0.9

=== Makefile ===
TARGET_PATH=$(PREFIX)/srv/itest/cases/gbs
SOURCES="cases fixtures settings.py coveragerc report.html"

build:
	@echo done

install:
	install -d $(TARGET_PATH)
	for src in $(SOURCES); do \
		cp -avr $$src $(TARGET_PATH); \
	done
	install -d $(PREFIX)/etc/sudoers.d
	install -m 0440 sudoers.itest_cases_gbs $(PREFIX)/etc/sudoers.d/itest_cases_gbs

=== packaging/Makefile ===
PKG_NAME := itest-cases-gbs
SPECFILE = $(addsuffix .spec, $(PKG_NAME))
PKG_VERSION := $(shell grep '^Version: ' $(SPECFILE)|awk '{print $$2}')

TARBALL := $(PKG_NAME)_$(PKG_VERSION).tar.gz

dsc: tarball
	$(eval MD5=$(shell md5sum $(TARBALL) | sed "s/  / $(shell stat -c '%s' $(TARBALL)) /"))
	sed  -i 's/^Version:.*/Version: $(PKG_VERSION)/' $(PKG_NAME).dsc
	sed  -i 's/ [a-f0-9]\+ [0-9]\+ $(PKG_NAME).*tar.*/ $(MD5)/' $(PKG_NAME).dsc

tarball:
	cd .. && git archive --prefix $(PKG_NAME)-$(PKG_VERSION)/ HEAD \
				| gzip > packaging/$(TARBALL)

clean:
	rm -f $(PKG_NAME)*tar*

all: tarball dsc

=== debian/changelog ===
itest-cases-gbs (0.9) unstable; urgency=high
  * Upgrade to 0.3, which contains the following bug fixing & features:
    * Moving changelog cases from itest project to this projects

 -- Huang Hao <hao.h.huang@intel.com>  Wed, 26 Sep 2013 11:45:08 +0800

=== debian/control ===
Source: itest-cases-gbs
Section: devel
Priority: extra
Maintainer: Junchun Guan <junchunx.guan@intel.com>
Standards-Version: 3.8.0
Homepage: http://www.tizen.org
Build-Depends: debhelper (>= 4.0.0)

Package: itest-cases-gbs
Architecture: all
Depends: zip, p7zip-full
Description: Cases for gbs functional testing

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	make PREFIX=debian/itest-cases-gbs install
